Skip to main content
GET
/
payment-services
C#
using Gr4vy;
using Gr4vy.Models.Components;
using Gr4vy.Models.Requests;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

ListPaymentServicesRequest req = new ListPaymentServicesRequest() {
    Method = "card",
    Cursor = "ZXhhbXBsZTE",
    Deleted = true,
};

ListPaymentServicesResponse? res = await sdk.PaymentServices.ListAsync(req);

while(res != null)
{
    // handle items

    res = await res.Next!();
}
{
  "items": [
    {
      "merchant_account_id": "<string>",
      "payment_service_definition_id": "<string>",
      "method": "<string>",
      "display_name": "<string>",
      "position": 123,
      "accepted_currencies": [
        "<string>"
      ],
      "accepted_countries": [
        "<string>"
      ],
      "payment_method_tokenization_enabled": true,
      "network_tokens_enabled": true,
      "open_loop": true,
      "settlement_reporting_enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "type": "payment-service",
      "id": "The ID of the payment service",
      "active": true,
      "status": "The current status of this service.",
      "three_d_secure_enabled": true,
      "merchant_profile": {},
      "webhook_url": "<string>",
      "fields": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "reporting_fields": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "is_deleted": false
    }
  ],
  "limit": 20,
  "next_cursor": "ZXhhbXBsZTE",
  "previous_cursor": "Xkjss7asS"
}
This API is different from the list connections because it only returns payment services and not anti-fraud and gift card services. This endpoint requires the payment-services.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Query Parameters

method
string | null

Return any payment service for this method.

Example:

"card"

cursor
string | null

A pointer to the page of results to return.

Example:

"ZXhhbXBsZTE"

limit
integer
default:20

The maximum number of items that are at returned.

Required range: 1 <= x <= 100
Example:

20

deleted
boolean | null
default:false

Return any deleted payment service.

Example:

true

Response

Successful Response

items
PaymentService · object[]
required

A list of items returned for this request.

limit
integer
default:20

The number of items for this page.

Required range: 1 <= x <= 100
Example:

20

next_cursor
string | null

The cursor pointing at the next page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor pointing at the previous page of items.

Required string length: 1 - 1000
Example:

"Xkjss7asS"